clang 10.0.0git

Public Member Functions | Static Public Member Functions | List of all members
clang::syntax::CaseStatement Class Referencefinal

case : <body> More...

`#include "clang/Tooling/Syntax/Nodes.h"`

Inheritance diagram for clang::syntax::CaseStatement:
[legend]
Collaboration diagram for clang::syntax::CaseStatement:
[legend]

## Public Member Functions
| CaseStatement ()
syntax::Leaf * | caseKeyword ()
syntax::Expression * | value ()
syntax::Statement * | body ()
Public Member Functions inherited from clang::syntax::Statement
| Statement (NodeKind K)
Public Member Functions inherited from clang::syntax::Tree
Node * | firstChild ()
const Node * | firstChild () const
Leaf * | firstLeaf ()
const Leaf * | firstLeaf () const
Leaf * | lastLeaf ()
const Leaf * | lastLeaf () const
Public Member Functions inherited from clang::syntax::Node
| Node (NodeKind Kind)
| Newly created nodes are detached from a tree, parent and sibling links are set when the node is added as a child to another one. More...
NodeKind | kind () const
NodeRole | role () const
bool | isDetached () const
| Whether the node is detached from a tree, i.e. does not have a parent. More...
bool | isOriginal () const
| Whether the node was created from the AST backed by the source code rather than added later through mutation APIs or created with factory functions. More...
bool | canModify () const
| If this function return false, the tree cannot be modified because there is no reasonable way to produce the corresponding textual replacements. More...
const Tree * | parent () const
Tree * | parent ()
const Node * | nextSibling () const
Node * | nextSibling ()
std::string | dump (const Arena &A) const
| Dumps the structure of a subtree. For debugging and testing purposes. More...
std::string | dumpTokens (const Arena &A) const
| Dumps the tokens forming this subtree. More...
void | assertInvariants () const
| Asserts invariants on this node of the tree and its immediate children. More...
void | assertInvariantsRecursive () const
| Runs checkInvariants on all nodes in the subtree. No-op if NDEBUG is set. More...

## Static Public Member Functions
static bool | classof (const Node *N)
Static Public Member Functions inherited from clang::syntax::Statement
static bool | classof (const Node *N)
Static Public Member Functions inherited from clang::syntax::Tree
static bool | classof (const Node *N)

## Additional Inherited Members
Protected Member Functions inherited from clang::syntax::Tree
syntax::Node * | findChild (NodeRole R)
| Find the first node with a corresponding role. More...

## Detailed Description

case

: <body>

Definition at line 190 of file Nodes.h.

## Constructor & Destructor Documentation

## ◆ CaseStatement()

clang::syntax::CaseStatement::CaseStatement | ( |  | ) |
| inline

Definition at line 192 of file Nodes.h.

## Member Function Documentation

## ◆ body()

syntax::Statement * syntax::CaseStatement::body | ( |  | ) |

Definition at line 131 of file Nodes.cpp.

References clang::syntax::BodyStatement, and clang::syntax::Tree::findChild().

## ◆ caseKeyword()

syntax::Leaf * syntax::CaseStatement::caseKeyword | ( |  | ) |

Definition at line 121 of file Nodes.cpp.

References clang::syntax::Tree::findChild(), and clang::syntax::IntroducerKeyword.

## ◆ classof()

static bool clang::syntax::CaseStatement::classof | ( | const Node * | N | ) |
| inline static

Definition at line 193 of file Nodes.h.

References clang::syntax::CaseStatement, and clang::syntax::Node::kind().

## ◆ value()

syntax::Expression * syntax::CaseStatement::value | ( |  | ) |

Definition at line 126 of file Nodes.cpp.

References clang::syntax::CaseStatement_value, and clang::syntax::Tree::findChild().

The documentation for this class was generated from the following files:

- include/clang/Tooling/Syntax/Nodes.h
- lib/Tooling/Syntax/Nodes.cpp